2018-12-16 06:53 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000125Branch 0.2.1-FINALBugpublic2016-11-23 10:10
Reporteruser13 
Assigned ToQuix0r 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformApache 2.2.x - mod_php 5.2.x OSWindows Vista Ultimate x64 SP1 OS VersionVista with SP1
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000125: Allgemeine Fehlermeldung statt Zurückbutton bei fehlerhaften MySql-Zugangsdaten
Descriptiondebug.log:
28.07.2009|15:23:48|install|__errorHandler|56|errno=2,errstr=mysql_connect() [function.mysql-connect]: Access denied for user 'root'@'localhost' (using password: YES),errfile=lib-mysql3.php,errline=201

Es wird bei fehaften MySql-Zugangsdaten einfach nur eine "normale" Fehlermeldung ausgegeben statt einen Button oder ähnliches, der mich auf die Seite mit den MySql-Zugangsdaten zurück springen lässt. War früher mal glaube ich so, das das so irgendwie gehandelt wurde.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000356

Quix0r (administrator)

Nur bei der Installationsroutine wurde man zurueckgeschickt, im Normalbetrieb aendern sich ja eigentlich nicht die Daten... Es sollte eigentlich eine schoenere Meldung geben als eine nackte Seite. Ich versuche da mal was einzubauen. :)

~0000358

Quix0r (administrator)

Mit Revision 1086 habe ich u.a. diesen Fall behandelt. Der Fehler war, dass der Error-Handler und nicht addFatalMessage() auf den Fehler reagiert hat. Ich habe das mal etwas umgeschrieben und hoffe, dass es so besser ist. Noch ist kein Design jedoch drinne, aber immerhin etwas mehr als vorher. :)

~0000579

Quix0r (administrator)

Mit der neuen AJAX-basierten Installation wird es sogar eine Überprüfung der eventuell vorhandenen Tabellen geben, damit nicht ausversehen eine bestehende Installation überschrieben wird.

~0000602

Quix0r (administrator)

Sollte dann erledigt sein.

~0000688

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-07-28 13:33 user13 New Issue
2009-07-28 16:42 Quix0r Status new => assigned
2009-07-28 16:42 Quix0r Assigned To => Quix0r
2009-07-28 16:47 Quix0r Note Added: 0000356
2009-07-28 17:07 Quix0r Note Added: 0000358
2009-11-25 21:44 Quix0r Build Rev1082 => SVN-1082
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 16:50 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 01:36 Quix0r Fixed in Version 0.2.1-FINAL =>
2012-10-08 09:33 Quix0r Note Added: 0000579
2012-11-26 10:42 Quix0r Note Added: 0000602
2012-11-26 10:42 Quix0r Status assigned => resolved
2012-11-26 10:42 Quix0r Fixed in Version => 0.2.1-FINAL
2012-11-26 10:42 Quix0r Resolution open => fixed
2016-11-23 10:10 Quix0r Note Added: 0000688
2016-11-23 10:10 Quix0r Status resolved => closed
+Issue History